Bug 1287282 - [abrt] firewalld: firewall-cmd:266:__usage:BrokenPipeError: [Errno 32] Broken pipe
[abrt] firewalld: firewall-cmd:266:__usage:BrokenPipeError: [Errno 32] Broken...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7a79e2f791e5d61f0b74f6dbe62...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 16:22 EST by Timothy M. Butterworth
Modified: 2016-12-20 11:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:29:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (308 bytes, text/plain)
2015-12-01 16:23 EST, Timothy M. Butterworth
no flags Details
File: environ (4.68 KB, text/plain)
2015-12-01 16:23 EST, Timothy M. Butterworth
no flags Details

  None (edit)
Description Timothy M. Butterworth 2015-12-01 16:22:57 EST
Version-Release number of selected component:
firewalld-0.3.14.2-4.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python3 -Es /usr/bin/firewall-cmd --help
executable:     /usr/bin/firewall-cmd
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
firewall-cmd:266:__usage:BrokenPipeError: [Errno 32] Broken pipe

Traceback (most recent call last):
  File "/usr/bin/firewall-cmd", line 692, in <module>
    __usage()
  File "/usr/bin/firewall-cmd", line 266, in __usage
    """)
BrokenPipeError: [Errno 32] Broken pipe

Local variables in innermost frame:
Comment 1 Timothy M. Butterworth 2015-12-01 16:23:01 EST
Created attachment 1101086 [details]
File: backtrace
Comment 2 Timothy M. Butterworth 2015-12-01 16:23:02 EST
Created attachment 1101087 [details]
File: environ
Comment 3 Thomas Woerner 2016-07-15 12:04:19 EDT
I have absolutely no clue how you could run into this.

Are you able to verify this also with the update package for 0.4.3.2?
Comment 4 Timothy M. Butterworth 2016-08-03 13:28:39 EDT
I haven't seen the issue again. Very few problems popping up with Fedora 24.
Comment 5 Fedora End Of Life 2016-11-24 08:53:16 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 11:29:22 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.